<div class="col-8 offset-2 mt-4">
	<h2>{{title}}</h2>
	<form #updateForm="ngForm" (ngSubmit)="onSubmit()" class="col-10">
		<div class="alert alert-success" *ngIf="status=='success'">
			Se actualizaron los datos correctamente
		</div>
		<div class="alert alert-success" *ngIf="status=='error'">
			Error al actualizar los datos
		</div>
		<p>
			<label for="name">Nombre</label>
			<input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control" required>
			<br>
			<span *ngIf="!name.valid && name.touched" class="alert alert-danger">El nombre es obligatorio</span>
		</p>
		<p>
			<label for="surname">Apellidos</label>
			<input type="text" id="surname" name="surname" #surname="ngModel" [(ngModel)]="user.surname" class="form-control" required>
			<br>
			<span *ngIf="!surname.valid && surname.touched" class="alert alert-danger">Los apellidos son obligatorios</span>
		</p>
		<p>
			<label for="email">E-mail</label>
			<input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control" required>
			<br>
			<span *ngIf="!email.valid && email.touched" class="alert alert-danger">El correo no es válido</span>
		</p>
		<label for="password">Contraseña</label>
		<div class="input-group mb-3">
			<input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password" class="form-control" aria-label="Recipient's username" aria-describedby="button-addon2" *ngIf="!password_visible">
			<input type="text" id="password" name="password" #password="ngModel" [(ngModel)]="user.password" class="form-control" aria-label="Recipient's username" aria-describedby="button-addon2" *ngIf="password_visible">
			<div class="input-group-append">
				<button class="btn btn-outline-primary" type="button" id="button-addon2" (click)="viewPassword()">
					<i [ngClass]="password_visible==false ? 'fas fa-eye' : 'fas fa-eye-slash'"></i>
				</button>
			</div>
		</div>
		<p>
			<input type="submit" value="Guardar" class="btn btn-lg btn-warning" [disabled]="!updateForm.form.valid">
		</p>
	</form>
</div>
